## plucker 1.6.1

=== viewer-GTK+2-POSIX/Makefile ===
#
# $Id: Makefile.in,v 1.2 2003/08/03 14:07:04 nordstrom Exp $
#

SHELL           = /bin/sh

top_builddir    = ..
subdir          = viewer-GTK+2-POSIX

DESTDIR	        =

BINDIR          = $(DESTDIR)/usr/local/bin
DATADIR         = $(DESTDIR)/usr/local/share/plucker

UNPLUCK_DIR     = $(top_builddir)/tools/unpluck

LIBS            = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0    -lz -ljpeg
CPPFLAGS        = -I$(UNPLUCK_DIR)  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
CFLAGS          = -g -O2

INSTALL         = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
MKINSTALLDIRS   = $(top_builddir)/mkinstalldirs

TARGET          = plucker

SOURCES         = viewer.c image.c library.c

OBJECTS         = ${SOURCES:.c=.o}

all: $(TARGET)

Makefile: Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

$(TARGET): $(OBJECTS) $(UNPLUCK_DIR)/libunpluck.a
	$(CC) -o $(TARGET) $(OBJECTS) $(UNPLUCK_DIR)/libunpluck.a $(LIBS)

depend: $(SOURCES)
	$(CC) -MM $(SOURCES) >.depend

.depend: $(SOURCES)
	$(CC) -MM $(SOURCES) >.depend

tags: $(SOURCES) *.h
	$(CTAGS) $(SOURCES) *.h


install:
	$(MKINSTALLDIRS) $(BINDIR)
	$(INSTALL_PROGRAM) $(TARGET) $(BINDIR)

clean:
	rm -f *.o core .depend $(TARGET)

distclean: clean
	rm -f Makefile

maintainer-clean: distclean
	@echo "------------------------------------------------------------"
	@echo "This command is intended for maintainers to use..."
	@echo "it deletes files that may require special tools to rebuild."
	@echo "------------------------------------------------------------"
