## plucker 1.8

=== viewer-GTK+2-POSIX/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 UNPLUCK_DIR     = $(top_builddir)/tools/unpluck
 
-LIBS            = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0    -lz -ljpeg
-CPPFLAGS        = -I$(UNPLUCK_DIR)  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
+LIBS            =   -lz -ljpeg
+CPPFLAGS        = -I$(UNPLUCK_DIR)  
 CFLAGS          = -g -O2
 
 INSTALL         = /usr/bin/install -c
