=== plucker_desktop/langs/Makefile ===
#-----------------------------------------------------------------------------------------
# Make commands for the translations catalog.
# Requirements: xgettext.exe, msgmerge.exe, and msgfmt.exe (all in a poEdit distribution)
# and the the custom wxrc.exe (source code found in this directory). All 4 executables 
# must be available somewhere in computer's AUTOEXEC.BAT's path. 
# To compile: make -f makefile.b32 langs
#             make -f makefile.b32 langs2
#-----------------------------------------------------------------------------------------

# First, define the Macro definitions that we will be using

# XRC files.
XRC_DIR=../resource/xrc
XRC_FILES = \
	$(XRC_DIR)/about_dialog.xrc \
	$(XRC_DIR)/about_simple_dialog.xrc \
	$(XRC_DIR)/channel_dialog.xrc \
	$(XRC_DIR)/details_progress_dialog.xrc \
	$(XRC_DIR)/editor_dialog.xrc \
	$(XRC_DIR)/exclusion_dialog.xrc \
	$(XRC_DIR)/main_menubar.xrc \
	$(XRC_DIR)/main_toolbar.xrc \
	$(XRC_DIR)/preferences_dialog.xrc \
	$(XRC_DIR)/showcase_dialog.xrc \
	$(XRC_DIR)/main_frame.xrc

# File to hold output.          
XRC_STRINGS_OUTPUT_FILE=xrc_strings_output.h
XRC_STRINGS_OUTPUT_DIR=..

# Collect the strings from the tip-of-the-day files.
TIPS_DIR=../resource/strings_tips
TIPS_FILES = \
	tips.txt
TIPS_OUTPUT_DIR=..

# Include our list of source files, which will give us the $(SOURCES):
include ../makefile_filelist.lst

# Add this directory to the list of directories to search for:
SOURCES_DIR=..

# Assemble list of all files that can have translatable strings.
ALL_SOURCE_FILES_TO_SEARCH = \
	$(SOURCES) \
	$(SOURCES:.cpp=.h) \
	$(XRC_STRINGS_OUTPUT_FILE) \
	$(TIPS_FILES)

LANGUAGES_DIR=.
FINAL_PLUCKER_TEMPLATE_POT=sample_po.txt
# Note: failure on OSX if this was called sample_po_temp
TEMPORARY_PLUCKER_TEMPLATE_POT=sample_tmp
PLUCKER_TRANSLATED_PO=plucker-desktop.po
PLUCKER_TRANSLATED_MO=plucker-desktop.mo

WXSTD_TEMPLATE_POT=sample_wxstd_po.txt
WXSTD_TRANSLATED_PO=wxstd.po
WXSTD_TRANSLATED_MO=wxstd.mo

# Now, next step is to extract all the user-visible strings from the XML resoucres. See
# appendix below if want to know the switches used for wxrc.exe
# Put the xrc strings in the sources dir for now, and copy the tips over also.

langs:
	-wxrc -v -g -o $(XRC_STRINGS_OUTPUT_DIR)/$(XRC_STRINGS_OUTPUT_FILE) $(XRC_FILES)
	-cp $(TIPS_DIR)/$(TIPS_FILES) $(TIPS_OUTPUT_DIR)/
	
	# Now, run xgettext to search all the source files for translatable strings, and put that into
	# a temporary po file. Then merge that temporary file with the old template .po file,
	# This strategy preserved the title header of the old template file, with charset, etc. 
	# See Appendix for arguments used for xgettext.exe and msgmerge.exe

	xgettext --foreign-user -n -k_ -D $(SOURCES_DIR) -o $(TEMPORARY_PLUCKER_TEMPLATE_POT) -p $(LANGUAGES_DIR) $(ALL_SOURCE_FILES_TO_SEARCH)
	msgmerge $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) $(LANGUAGES_DIR)/$(TEMPORARY_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT)
	-rm $(LANGUAGES_DIR)/$(TEMPORARY_PLUCKER_TEMPLATE_POT)
	
	# Merge the updates with the existing translations 
	msgmerge $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/es/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/es/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fi/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fi/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fo/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fo/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fr/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fr/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/it/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/it/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/ja/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ja/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/nl/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/nl/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/pl/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/pl/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/ru/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ru/$(PLUCKER_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO)
	
	# Compile the text .po files into binary .mo files.     
	msgfmt $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/es/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/es/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fi/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fi/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fo/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fo/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fr/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fr/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/it/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/it/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/ja/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ja/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/nl/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/nl/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/pl/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/pl/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/ru/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ru/$(PLUCKER_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_MO)
	
	# Successfully finished. We can get rid of the XRC strings now, and our copied tips.
	-rm $(XRC_STRINGS_OUTPUT_DIR)/$(XRC_STRINGS_OUTPUT_FILE)
	-rm $(TIPS_OUTPUT_DIR)/$(TIPS_FILES)
	
	# Merge the wxstd updates with the existing translations
	msgmerge $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) 
	msgmerge $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/es/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/es/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fi/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fi/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fo/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fo/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/fr/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/fr/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/it/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/it/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/ja/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ja/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/nl/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/nl/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/pl/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/pl/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO)
	msgmerge $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO)
	
	# Compile the wxstd text .po files into binary .mo files.  
	msgfmt $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_MO)   
	msgfmt $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/es/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/es/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fi/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fi/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fo/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fo/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/fr/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/fr/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/it/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/it/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/ja/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ja/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/nl/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/nl/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/pl/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/pl/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_MO)
	msgfmt $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_MO)
    
# This is a generic rule for making mo files out of po files.
# .po is the input extension, .mo is the output extension.
# The macro "$@" gets replaced as "somepath\somefilename.po"
# The macro "$<" is outputted as "somepath\somefilename.mo"
#po.mo:
# msgfmt -v -o $@ $< 
%.mo: %.po
	msgfmt -v -o $@ $<

#-----------------------------------------------------------------------------------------
# Appendices
#-----------------------------------------------------------------------------------------

# APPENDIX: wxrc.exe usage (resource compiler)
# Wxrc, customized with a /s switch to output translatable strings. The original
# wxrc is in your wx/contrib/utils. Overwrite the wxrc.cpp with the one included in /langs
# to build this tool.
# Example usage is 
#        wxrc /v /g /o out.h 1.xrc 2.xrc
# (Other platforms will use their own form of command line switches instead of '/')
# in which the arguments, and parameters are:
# /v          Verbose (doesn't seem to do much)
# /g          Specifies to output as a list of translatable strings
# /k          Optional uses a different macro prefix in the output. Default is to use _ so strings
#             get enclosed in a _(""). If typed /k _T  then strings get enclosed in a _T("").
# /o out.h    Specifies the output file as "out.h".
# 1.xrc 2.xrc The filenames of the XRCs in which to look for strings are "1.xrc" and "2.xrc".

# APPENDIX: xgettext.exe usage
# Extracts strings enclosed in a tranlation function, usually _(), and outputs them to an
# ouput file called a .po file which is a series of original strings and its translation.
# Example usage is: 
#        xgettext -C -n -k_ -o fr.po -p langs/fr file1.cpp file2.cpp
