=== debian/changelog ===
plucker (1.8-34) unstable; urgency=low

  * Fix "AttributeError: 'module' object has no attribute
    'uses_fragment'" debian/patches/88_plucker-build (Closes: #678080)
  * debian/compat: 8 -> 9
  * debian/rules: add hardening support
  * debian/watch: remove template in comments to fix lintian warning
    I: plucker source: debian-watch-contains-dh_make-template
  * debian/rules: add build-indep rule. lintian warning:
    W: plucker source: debian-rules-missing-recommended-target build-indep

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 10 Mar 2011 21:32:52 +0100

plucker (1.8-33) unstable; urgency=low

  * Fix "deprecation of dh_pycentral, please use dh_python2" by using
    dh_python2 (Closes: #616943)
  * debian/compat: update from 5 to 8
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 10 Mar 2011 21:14:56 +0100

plucker (1.8-32) unstable; urgency=low

  * debian/patches/86_assert: remove parenthesis in "assert(a)" by "assert a"
    and "assert(a, b)" by "assert a, b"
    Closes: #583636 "Make this package ready for python 2.6"
  * debian/patches/87_hyphen-used-as-minus-sign: fix a lintian warning:
    I: plucker: hyphen-used-as-minus-sign
    usr/share/man/man1/plucker-build.1.gz:251
  * Use DEP-3 compliant headers for patches. Fix lintian warning:
    I: plucker source: quilt-patch-missing-description

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 20 Jun 2010 12:49:51 +0000

plucker (1.8-31) unstable; urgency=low

  * debian/control: use libjpeg-dev instead of libjpeg62-dev
    http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html
  * move to source package format "3.0 (quilt)"
  * debian/control: Standards-Version: 3.7.3 -> 3.8.4
    add support of parallel= in DEB_BUILD_OPTIONS

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 21 Feb 2010 15:04:40 +0100

plucker (1.8-30) unstable; urgency=low

  * debian/patches/85_Retriever: Closes: #498522: "Plucker uses bad User-agent
    HTTP header"
  * plucker-decode not executable (Closes: #509943)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Feb 2009 17:15:06 +0100

plucker (1.8-29) unstable; urgency=low

  * debian/control:
   - add Vcs-Svn: and Vcs-Browser: fields
   - add Homepage: field

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 17 Aug 2008 16:26:46 +0200

plucker (1.8-28) unstable; urgency=low

  * debian/patches/84_strip_px: Closes: #494613 "ValueError: invalid literal
    for int() with base 10: '1px'"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 17 Aug 2008 16:01:07 +0200

plucker (1.8-27) unstable; urgency=low

  * debian/plucker.links: correct a typo that made usr/bin/pluck-comics link
    to a wrong destination
    Closes: #487778 "cruft and broken symlinks"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 24 Jun 2008 17:04:55 +0200

plucker (1.8-26) unstable; urgency=low

  * debian/patches/83_filter.patch: allow the use of --filter=<> argment
    Patch from Ubuntu LP: #52882 "plucker-build : --filter option not working"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Jun 2008 13:30:32 +0200

plucker (1.8-25) unstable; urgency=low

  * use dh_link to create the links and use correct links
    patch adapted from Ubuntu (LP: #236035)
  * use quilt instead of dpatch

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 14 Jun 2008 21:02:43 +0200

plucker (1.8-24) unstable; urgency=low

  * debian/patches/80_remove_quiet.dpatch: Patch from Ubuntu
    Closes: #182361 "broken pipe errors from ImageParser.py"
    also closes Ubuntu: #54377

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 16 Feb 2008 17:24:16 +0100

plucker (1.8-23) unstable; urgency=low

  * debian/plucker.install: add usr/lib
    Closes: Bug#465516: "plucker-build: command not found"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 13 Feb 2008 20:31:54 +0100

plucker (1.8-22) unstable; urgency=low

  * debian/plucker-prc-install: use = instead of ==
    Closes: #465015: "plucker: bashism in /bin/sh script"
  * debian/rules: correct debian-rules-ignores-make-clean-error lintian
    warning
  * debian/control: Standards-Version: 3.7.2 -> 3.7.3. No change needed
  * plucker.preinst: file removed. It was used to fix #386211 and can be
    removed in lenny (etch+1)
  * debian/copyright: add a Copyright Holder: line

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 10 Feb 2008 15:53:00 +0000

plucker (1.8-21) unstable; urgency=low

  * the plucker-desktop package can't be built anymore, drop it.
    A patch is available at http://bugs.jpilot.org/1784 and is applied
    upstream in CVS but version 1.9 is still not available
  * debian/pluckerrc: default image_parser is now pil2 instdead of netpbm2
  * debian/control: plucker depends on python-imaging instead of netpbm since
    the default image_parser is now PIL (Python Imaging Library)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 08 May 2007 21:21:29 +0200

plucker (1.8-20) unstable; urgency=low

  * debian/rules: use /usr/share/pycentral/plucker instdead of
    /usr/lib/python2.4. Closes: #391338 "plucker-build: command not found"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 10 Oct 2006 22:51:04 +0200

plucker (1.8-19) unstable; urgency=low

  * debian/rules: add --sysconfdir=/etc to ./configure line to use
    /etc/pluckerrc instead of /usr/etc/pluckerrc
    Closes: #385910 "plucker: Plucker for Python2.4 will not parse images"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 23 Sep 2006 16:23:35 +0200

plucker (1.8-18) unstable; urgency=low

  * remove /usr/lib/python2.3/site-packages/PyPlucker/ in plucker.preinst
    Closes: #386211 "plucker: Fails to remove byte compiled files from
    previous version"

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  8 Sep 2006 14:27:39 +0200

plucker (1.8-17) unstable; urgency=low

  * Closes: #385244 "plucker-build inaccessible, aliased to python2.3 but
    package ships for python2.4"

