=== debian/control ===
Source: plucker
Section: otherosfs
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper (>= 9), autoconf, python (>= 2.6.6-3), libjpeg-dev, zlib1g-dev, libgtk2.0-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/plucker/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/plucker/trunk/
Homepage: http://www.plkr.org/

Package: plucker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-imaging
Suggests: imagemagick, libjpeg-progs, pilot-link
Description: Pluck stuff from the web and read it on your PalmOS device
 Plucks stuff from the web (or any URL), and encodes them appropriately for
 viewing on a PalmOS device.  Very flexible in the way sites are plucked, e.g.
 link depth, images etc.
