=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture 
build: build-arch build-indep
build-indep: build-stamp

build-arch: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cp configure configure.orig
	CFLAGS=`dpkg-buildflags --get CFLAGS` \
		CXXFLAGS=`dpkg-buildflags --get CXXFLAGS` \
		CPPFLAGS=`dpkg-buildflags --get CPPFLAGS` \
		LDFLAGS=`dpkg-buildflags --get LDFLAGS` \
		./autogen.sh \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--sysconfdir=/etc \
		--with-pluckerdir=/usr/share/plucker \
		--with-docdir=/usr/share/doc/plucker \
		--with-comicslistdir=/usr/share/plucker/pluck-comics \
		--disable-palmosbuild \
		--disable-java-distiller \
		--disable-docbuild \
		--disable-desktopbuild

	# make plucker-decode executable #509943
	chmod +x parser/python/PyPlucker/PluckerDocs.py

	# Add here commands to compile the arch part of the package.
	MAKEFLAGS="-j1" $(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f viewer/config.log
	-rm -f docs/Makefile
	-[ -e configure.orig ] && mv configure.orig configure

	dh_clean 

install: install-arch

install-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the arch part of the package
	$(MAKE) install-pluck_comics install-manual \
		install-data \
		install-pyplucker \
		install-gtkviewer \
		DESTDIR=$(CURDIR)/debian/plucker \
		BUILD_MANUAL=no

	# copy the Debian plucker-prc-install
	cp debian/plucker-prc-install debian/plucker/usr/bin

	# copy the Debian pluckerrc file
	cp debian/pluckerrc debian/plucker/etc

	rm debian/plucker/usr/share/doc/plucker/COPYING
	rmdir debian/plucker/usr/share/plucker/palm

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdb
	dh_fixperms
	dh_python2
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch
.PHONY: build clean binary-arch binary-indep binary install install-arch
