## plucker src-1.6

=== plucker_desktop/langs/Makefile ===
--- 
+++ 
@@ -76,7 +76,6 @@
 	-rm $(LANGUAGES_DIR)/$(TEMPORARY_PLUCKER_TEMPLATE_POT)
 	
 	# Merge the updates with the existing translations 
-	msgmerge $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO)
@@ -92,7 +91,6 @@
 	msgmerge $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO) $(LANGUAGES_DIR)/$(FINAL_PLUCKER_TEMPLATE_POT) -o $(LANGUAGES_DIR)/sv/$(PLUCKER_TRANSLATED_PO)
 	
 	# Compile the text .po files into binary .mo files.     
-	msgfmt $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ca/$(PLUCKER_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/cs/$(PLUCKER_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/da/$(PLUCKER_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_PO) -o $(LANGUAGES_DIR)/de/$(PLUCKER_TRANSLATED_MO)
@@ -111,8 +109,7 @@
 	-rm $(XRC_STRINGS_OUTPUT_DIR)/$(XRC_STRINGS_OUTPUT_FILE)
 	-rm $(TIPS_OUTPUT_DIR)/$(TIPS_FILES)
 	
-	# Merge the wxstd updates with the existing translations
-	msgmerge $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) 
+	# Merge the wxstd updates with the existing translations 
 	msgmerge $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO)
@@ -127,8 +124,7 @@
 	msgmerge $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/ru/$(WXSTD_TRANSLATED_PO)
 	msgmerge $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO) $(LANGUAGES_DIR)/$(WXSTD_TEMPLATE_POT) -o $(LANGUAGES_DIR)/sv/$(WXSTD_TRANSLATED_PO)
 	
-	# Compile the wxstd text .po files into binary .mo files.  
-	msgfmt $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/ca/$(WXSTD_TRANSLATED_MO)   
+	# Compile the wxstd text .po files into binary .mo files.     
 	msgfmt $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/cs/$(WXSTD_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/da/$(WXSTD_TRANSLATED_MO)
 	msgfmt $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_PO) -o $(LANGUAGES_DIR)/de/$(WXSTD_TRANSLATED_MO)
@@ -176,3 +172,11 @@
 # ouput file called a .po file which is a series of original strings and its translation.
 # Example usage is: 
 #        xgettext -C -n -k_ -o fr.po -p langs/fr file1.cpp file2.cpp
+# in which the arguments, and parameters are:
+# -C          tells that the language is C++
+# -n          tells not to add comments that say what line the string was on #            
+# -k_         marks _() as a keyword of a string to put into a translation.
+#             If using _T() [which I think this is the same as _() ] need to add that
+#             too in the key words.
+# -o fr.po    tells what want the output file of the catalog of translated strings 
+#             to be called.
